/**********************************
* fcs_full.js
* title: Facebook Comment Slider
* description: Offer an option for the users to leave comment about your website after they reach the bottom of the page 
* author: Pantherius
* website: http://pantherius.com
*
**********************************/ 

jQuery(window).load(function() {
if ( typeof fcs_params !== 'undefined')
{
	jQuery('body').fbcslider();
}
});

(function( jQuery ){
    var methods = {
    init : function(options) {
	defaults = { 
			"appid":"000000000000000",					//Facebook APP ID
			"fbsitename":"pantherius",					//Facebook Fan Page name without http://facebook.com/
			"home_page_style":"",						//turn Comment Slider to Like Box or Fan Page Wall on the homepage - likebox or postbox
			"currentstyle":"",							//set it to 'home' on the homepage if you using the home_page_style option - home or empty
			"hide_icon":"false",						//hide all icons, you can combine it with the auto open option - true or false
			"auto_open1":"true",						//auto open the Comment Slider at the bottom of the page - true or false
			"auto_open2":"false",						//auto open the Like Box Slider at the bottom of the page - true or false
			"auto_open3":"false",						//auto open the Fan Page Wall Slider at the bottom of the page - true or false
			"direction1":"right",						//position of the Facebook Comment Slider - left or right
			"direction2":"left",						//position of the Facebook Like Box Slider - left or right
			"direction3":"right",						//position of the Facebook Fan Page Wall Slider - left or right
			"closeable":"true",							//allow or disallow to close the slider for the users - true or false
			"timer":"300",								//countdown timer to close the opened slider, if you set the closeable option to false in seconds
			"transparency":"90",						//transparency for the locked screen/transparent background in percentages
			"icon_size1":"medium",						//icon size for the Comment Slider - small, medium or large
			"icon_size2":"medium",						//icon size for the Like Box - small, medium or large
			"icon_size3":"medium",						//icon size for the Fan Page Wall - small, medium or large
			"lock_screen":"true",						//set the screen locked with a transparent background when the slider opens
			"message":"Please leave a comment",			//message on the top for Comment Slider
			"likebox_message":"Like Our Facebook Page",	//message on the top for Likebox Slider
			"postbox_message":"Follow Us on Facebook",	//message on the top for Facebook Page Wall Slider
			"vertical_distance1":"20",					//vertical position of the Comment Slider icon related to the top in percentages
			"vertical_distance2":"50",					//vertical position of the Like Box icon related to the top in percentages
			"vertical_distance3":"80",					//vertical position of the Facebook Fan Page Wall icon related to the top in percentages
			"dofsu":"false",							//display once for the same user - true or false
			"doap":"false",								//disable on all pages - true or false (you can enable it with [enable_facebook_comment_slider] in the content)
			"no_post_to_show":"3",						//number of posts to show on Comment Box
			"channel_url":"js/channel.html",			//path for channel file to get higher synchronization performance
			"shake1":"0",								//shake animation time for Facebook Page Wall in millisecs, eg: 5000 for 5sec
			"shake2":"0",								//shake animation time for Like Box in millisecs, eg: 5000 for 5sec
			"shake3":"0",								//shake animation time for Facebook Page Wall in millisecs, eg: 5000 for 5sec
			"scheme":"light",							//light or dark
			"icon_url1":"",								//absolute url of the icon for Comment Box
			"icon_url2":"",								//absolute url of the icon for Like Box
			"icon_url3":"",								//absolute url of the icon for Facebook Page Wall
			"local":"en_US",							//localization of the sliders
			"hide_alreadyliked":true,					//hide the LikeBox for user who already liked
			"skin":"default"
	  };
	if ( typeof fcs_params !== 'undefined') options = fcs_params;
	var options = jQuery.extend({}, defaults, options);
if (options.dom=='true'&&jQuery('body').fbcslider('detectmob')==true)
{
}
else
{
var lastScrollTop = 0;
var fbtimer_start = 0;
var tid = 0;
var opened = false;
var closeable_lock = '';
var block_autoopen = false;
var fcs_enabled_on_this_page = '';
var likebox_facebook_comment_slider = '';
var postbox_facebook_comment_slider = '';
var disable_facebook_comment_slider = '';
var slidernotice1 = '';
var slidernotice2 = '';
var slidernotice3 = '';
var fbinit_called = false;
fbforce = true;
opened_slider = '';
boxtype = '';
scriptloaded = false;
parentbox = '';
if (options.skin=='default') {space = 8;bspace = 6;}
else {space = 4;bspace = 2;}
if ( options.icontime == undefined || options.icontime == '' ) {
	options.icontime = 1500;
	options.icondelay = 0;
}
if ( options.icontime < 1000 ) {
	options.icondelay = 1000;
}

function getString(number_value)
{
	return number_value.toString();
}
function check_shortcodes()
{
	jQuery(".facebook-comment-slider-shortcode").each(function(){
		if (jQuery(this).text().indexOf("[enable_facebook_comment_slider]")>=0)	{
		fcs_enabled_on_this_page = 'true';
		}
		if (jQuery(this).text().indexOf("[likebox_facebook_comment_slider]")>=0) {
		likebox_facebook_comment_slider = "true";
		}
		if (jQuery(this).text().indexOf("[postbox_facebook_comment_slider]")>=0) {
		postbox_facebook_comment_slider = "true";
		}
		if (jQuery(this).text().indexOf("[disable_facebook_comment_slider]")>=0) {
		disable_facebook_comment_slider = "true";
		}
	})
}
check_shortcodes();

	if ((options.appid!='false')&&(jQuery("body").html()!=undefined))
	{
	if ((options.appid!='false')&&(options.doap!='true')||(((jQuery("body").html()!=undefined)&&options.doap=='true'&&(fcs_enabled_on_this_page=='true')))||(likebox_facebook_comment_slider=="true")||(postbox_facebook_comment_slider=="true"))
	{
		var facebook_comment_slider_likebox = '';
		var facebook_comment_slider_postbox = '';
		var facebook_comment_slider_autocommenter = '';
		var facebook_comment_slider_closeable = '';
		var facebook_comment_slider_timer = '';
		var fbroot = '';
		var fbicon1 = '';
		var fbicon2 = '';
		var fbicon3 = '';
		var fbcs_scheme = '';
		var fbcs_scheme_name = 'light';
		if (scriptloaded==false)
		{
		var deletecookieonlike = "var fbcsdparams = [ 'fbcsslider_liked', '0', -999, 'days' ];jQuery('body').fbcslider('setCookie',fbcsdparams);"
		if (options.hide_alreadyliked==true){var setcookieonlike = "var fbcscparams = [ 'fbcsslider_liked', '1', 999, 'days' ];jQuery('body').fbcslider('setCookie',fbcscparams);"}
		else {var setcookieonlike = "";}
		var fbscript = document.createElement( 'script' );
		var protocol = ('https:' == window.location.protocol ? 'https://' : 'http://');
		fbscript.type = 'text/javascript';
		fbscript = "<script type='text/javascript'>(function(d, s, id){var js, fjs = d.getElementsByTagName(s)[0];if (d.getElementById(id)) {return;}js = d.createElement(s); js.id = id;js.src = '" + protocol + "connect.facebook.net/" + options.local + "/all.js';fjs.parentNode.insertBefore(js, fjs);}(document, 'script', 'facebook-jssdk'));window.fbAsyncInit = function(){FB.init({ appId: '" + options.appid + "',channelUrl : '" + options.channel_url + "',status: true,cookie: true,xfbml: true});FB.Event.subscribe('comment.create', function(response){jQuery('body').fbcslider('remove');jQuery('body').fbcslider('comment',response);});FB.Event.subscribe('xfbml.render', function(response){jQuery('body').fbcslider('resize');});FB.Event.subscribe('edge.create', function(response){jQuery('body').fbcslider('remove');" + setcookieonlike + "});FB.Event.subscribe('edge.remove', function(response){" + deletecookieonlike + "});};</script>";
		jQuery('body').append( fbscript);
		scriptloaded = true;
		}
		if (options.scheme!=undefined) {
			if (options.scheme=='dark')
			{
				fbcs_scheme = 'data-colorscheme="dark"';
				fbcs_scheme_name = options.scheme;
			}
			if (options.scheme=='light'||options.scheme=='')
			{
				fbcs_scheme = 'data-colorscheme="light"';
				fbcs_scheme_name = options.scheme;
			}
		}
		if (options.direction1=='left'&&options.hide_icon=='false') 
		{
			if (options.icon_url1==undefined||options.icon_url1=='') fbicon1 = '<h2 style="left:-70px;top:'+options.vertical_distance1+'%" class="fbicon_left icon_'+options.icon_size1+'"></h2>';
			else {
			var imgSrc = options.icon_url1;
			var _width, _height;
			jQuery("<img/>").attr("src", imgSrc + "?" + new Date().getTime()).load(function() {
				_width = this.width; 
				_height = this.height;
			 });
			fbicon1 = '<h2 style="left:-'+(_width+50)+'px;top:'+options.vertical_distance1+'%" class="fbcs_left"><img src="'+options.icon_url1+'" /></h2>';
			}
		}
		if (options.direction2=='left'&&options.hide_icon=='false') 
		{
			if (options.icon_url2==undefined||options.icon_url2=='') fbicon2 = '<h2 style="left:-70px;top:'+options.vertical_distance2+'%" class="fbicon_like_left icon_'+options.icon_size2+'"></h2>';
			else {
			var imgSrc = options.icon_url2;
			var _width, _height;
			jQuery("<img/>").attr("src", imgSrc + "?" + new Date().getTime()).load(function() {
				_width = this.width; 
				_height = this.height;
			 });
			fbicon2 = '<h2 style="left:-'+(_width+50)+'px;top:'+options.vertical_distance2+'%" class="fbcs_left"><img src="'+options.icon_url2+'" /></h2>';
			}
		}
		if (options.direction3=='left'&&options.hide_icon=='false') 
		{
			if (options.icon_url3==undefined||options.icon_url3=='') fbicon3 = '<h2 style="left:-70px;top:'+options.vertical_distance3+'%" class="fbicon_follow_left icon_'+options.icon_size3+'"></h2>';
			else {
			var imgSrc = options.icon_url3;
			var _width, _height;
			jQuery("<img/>").attr("src", imgSrc + "?" + new Date().getTime()).load(function() {
				_width = this.width; 
				_height = this.height;
			 });
			fbicon3 = '<h2 style="left:-'+(_width+50)+'px;top:'+options.vertical_distance3+'%" class="fbcs_left"><img src="'+options.icon_url3+'" /></h2>';
			}
		}
		if (options.direction1=='right'&&options.hide_icon=='false') 
		{
			if (options.icon_url1==undefined||options.icon_url1=='') fbicon1 = '<h2 style="right:-70px;top:'+options.vertical_distance1+'%" class="fbicon_right icon_'+options.icon_size1+'"></h2>';
			else {
			var imgSrc = options.icon_url1;
			var _width, _height;
			jQuery("<img/>").attr("src", imgSrc + "?" + new Date().getTime()).load(function() {
				_width = this.width; 
				_height = this.height;
			 });
			fbicon1 = '<h2 style="right:-'+(_width+50)+'px;top:'+options.vertical_distance1+'%" class="fbcs_right"><img src="'+options.icon_url1+'" /></h2>';
			}
		}
		if (options.direction2=='right'&&options.hide_icon=='false') 
		{
			if (options.icon_url2==undefined||options.icon_url2=='') fbicon2 = '<h2 style="right:-70px;top:'+options.vertical_distance2+'%" class="fbicon_like_right icon_'+options.icon_size2+'"></h2>';
			else {
			var imgSrc = options.icon_url2;
			var _width, _height;
			jQuery("<img/>").attr("src", imgSrc + "?" + new Date().getTime()).load(function() {
				_width = this.width; 
				_height = this.height;
			 });
			fbicon2 = '<h2 style="right:-'+(_width+50)+'px;top:'+options.vertical_distance2+'%" class="fbcs_right"><img src="'+options.icon_url2+'" /></h2>';
			}
		}
		if (options.direction3=='right'&&options.hide_icon=='false') 
		{
			if (options.icon_url3==undefined||options.icon_url3=='') fbicon3 = '<h2 style="right:-70px;top:'+options.vertical_distance3+'%" class="fbicon_follow_right icon_'+options.icon_size3+'"></h2>';
			else {
			var imgSrc = options.icon_url3;
			var _width, _height;
			jQuery("<img/>").attr("src", imgSrc + "?" + new Date().getTime()).load(function() {
				_width = this.width; 
				_height = this.height;
			 });
			fbicon3 = '<h2 style="right:-'+(_width+50)+'px;top:'+options.vertical_distance3+'%" class="fbcs_right"><img src="'+options.icon_url3+'" /></h2>';
			}
		}
		var boxwidth = "420";
		var boxwidth2 = "460";
		var fbcs_comment = false;
		var fbcs_like = false;
		var fbcs_post = false;
		if ( jQuery( ".facebook-comment-slider-likebox-embed" ).length > 0 ) {
			boxwidth = jQuery( ".facebook-comment-slider-likebox-embed" ).width();
			fbcs_like = true;
		}
		if ( jQuery( ".facebook-comment-slider-postbox-embed" ).length > 0 ) {
			boxwidth = jQuery( ".facebook-comment-slider-postbox-embed" ).width();
			fbcs_post = true;
		}
		if ( jQuery( ".facebook-comment-slider-embed" ).length > 0 ) {
			boxwidth2 = jQuery( ".facebook-comment-slider-embed" ).width();
			fbcs_comment = true;
		}
		if (options.closeable=='true') closeable_lock='onclick="jQuery(\'body\').fbcslider(\'remove\')"';
		if (jQuery('#fb-root').length==0) jQuery("body").prepend('<div id="fb-root"></div>');
		if (jQuery('#bglock').length==0) jQuery("body").prepend('<div id="bglock" '+closeable_lock+'> </div>');
		if (options.closeable=='true') facebook_comment_slider_closeable = '<a class="close_facebook_comment_slider"></a>';
		if (options.timer>0) facebook_comment_slider_timer = '<span class="fb_ac_counter"></span>';
		if ( ( jQuery( 'body' ).fbcslider( 'getCookie', 'fbcsslider_liked' ) != '1' || options.hide_alreadyliked == false ) && ( ( likebox_facebook_comment_slider == 'true' ) || ( options.currentstyle == 'home' && options.home_page_style == 'likebox' ) ) || ( fbcs_like != false ) ) {
		if (options.fbsitename=='') slidernotice2 = 'Facebook Site Name missing';
		facebook_comment_slider_likebox = '<div class="autocommenter facebook_comment_slider_likebox"><div class="autocommenter_inside autocommenter_'+options.skin+'_'+fbcs_scheme_name+' autocommenter_top"><div class="autocommenter_line"><span class="message_'+fbcs_scheme_name+'">'+options.likebox_message+facebook_comment_slider_timer+'</span>'+facebook_comment_slider_closeable+'</div><div class="fbcommentbox" class="'+options.direction2+'_side_fbbox"><div class="fb-like-box" data-width="' + boxwidth + '" data-href="https://www.facebook.com/'+options.fbsitename+'" data-colorscheme="'+fbcs_scheme_name+'" data-show-faces="true" data-header="false" data-stream="false" data-height="470" data-show-border="false"></div>'+slidernotice2+'</div></div>'+fbicon2+'</div>';
			if ( jQuery( ".facebook_comment_slider_likebox" ).length != 1 && fbcs_like == false ) {
				jQuery( 'body' ).prepend( facebook_comment_slider_likebox );
			}
		}
		if ( ( postbox_facebook_comment_slider == 'true' ) || ( options.currentstyle == 'home' && options.home_page_style == 'postbox' ) || ( fbcs_post != false ) ) {
			if ( options.fbsitename == '' ) {
				slidernotice3 = 'Facebook Site Name missing';
			}
			facebook_comment_slider_postbox = '<div class="autocommenter facebook_comment_slider_postbox"><div class="autocommenter_inside autocommenter_'+options.skin+'_'+fbcs_scheme_name+' autocommenter_top"><div class="autocommenter_line"><span class="message_'+fbcs_scheme_name+'">'+options.postbox_message+facebook_comment_slider_timer+'</span>'+facebook_comment_slider_closeable+'</div><div class="fbcommentbox" class="'+options.direction3+'_side_fbbox"><div class="fb-like-box" data-adapt-container-width="true" data-width="' + boxwidth + '" data-height="2000" data-href="https://www.facebook.com/'+options.fbsitename+'" data-colorscheme="'+fbcs_scheme_name+'" data-show-faces="false" data-header="false" data-stream="true" data-show-border="false"></div>'+slidernotice3+'</div></div>'+fbicon3+'</div>';
			if ( jQuery( ".facebook_comment_slider_postbox" ).length != 1 && fbcs_post == false ) {
				jQuery( 'body' ).prepend( facebook_comment_slider_postbox );
			}
		}
		if ( disable_facebook_comment_slider == "true" || ( options.currentstyle == 'home' && options.home_page_style == 'postbox' ) || ( options.currentstyle == 'home' && options.home_page_style == 'likebox' ) ) {
			
		}
		else {
		if ( options.appid == '' ) {
			slidernotice1 = 'Facebook App ID missing';
		}
		facebook_comment_slider_autocommenter = '<div class="autocommenter facebook_comment_slider_commentbox"><div class="autocommenter_inside autocommenter_' + options.skin + '_' + fbcs_scheme_name + ' autocommenter_top"><div class="autocommenter_line"><span class="message_' + fbcs_scheme_name + '">' + options.message + facebook_comment_slider_timer + '</span>' + facebook_comment_slider_closeable + '</div><div class="fb-like" data-href="http://' + window.location.hostname + window.location.pathname + '" data-send="true" data-layout="button_count" data-width="200" data-show-faces="false"></div><div class="fbcommentbox" class="' + options.direction + '_side_fbbox"><div class="fb-comments" data-href="http://' + window.location.hostname + window.location.pathname + '" data-width="' + boxwidth2 + '" data-num-posts="'+options.no_post_to_show + '" data-notify="true" ' + fbcs_scheme + '></div>' + slidernotice1 + '</div></div>' + fbicon1 + '</div>';
			if ( jQuery( ".facebook_comment_slider_commentbox" ).length != 1 && fbcs_comment == false ) {
				jQuery('body').prepend( facebook_comment_slider_autocommenter );
				jQuery( '.autocommenter h2 img' ).load( function() {
					var _width, _height;
					var fbimgdyn = jQuery('<img>');
						fbimgdyn.attr( "src", jQuery( '.autocommenter h2 img' ).attr( "src" ) + "?" + new Date().getTime());
						_width = this.width; 
						_height = this.height;
						jQuery('.autocommenter h2').css("width",_width+"px");
					 });
				}
		}
		if ( jQuery( 'body' ).fbcslider( 'detectmob' ) == true ) {
			jQuery( ".autocommenter" ).css( "width", "85%" );
		}
		if ( jQuery( '#bglock' ).length ) {
			jQuery( '#bglock' ).css( "filter", "alpha(opacity=" + getString( options.transparency ) + ")" );
			jQuery( '#bglock' ).css( "-khtml-opacity", "" + getString( parseInt( options.transparency ) / 100 ) + "" );
			jQuery( '#bglock' ).css( "-moz-opacity", "" + getString( parseInt( options.transparency ) / 100 ) + "" );
			jQuery( '#bglock' ).css( "opacity", "" + getString( parseInt( options.transparency ) / 100 ) + "" );
		}
		if ( options.direction1 == 'left' ) {
			jQuery( '.facebook_comment_slider_commentbox' ).css( "left", '-' + ( parseInt( jQuery( ".facebook_comment_slider_commentbox" ).width() ) + space ) + 'px' );
			 jQuery( ".facebook_comment_slider_commentbox h2" ).delay( options.icondelay ).animate({
				left: ( jQuery( ".facebook_comment_slider_commentbox" ).width() + bspace ) + 'px'
				}, parseInt( options.icontime ), "easeInBounce", function() {
				// Animation complete.
					if ( parseInt( options.shake1 ) > 0 ) {
						setInterval( function() {
							if ( opened == false ) {
								jQuery( ".facebook_comment_slider_commentbox h2" ).effect( "shake", { direction: "up" } );
								}
						}, parseInt( options.shake1 ) );
					}
					if ( options.shake1 == 'heartbeat' ) {
						jQuery( ".facebook_comment_slider_commentbox h2" ).addClass( "heartbeat" );
					}
				});
		}
		if (options.direction2=='left') 
		{
			jQuery('.facebook_comment_slider_likebox').css("left",'-'+(parseInt(jQuery(".facebook_comment_slider_likebox").width())+space)+'px');
			 jQuery( ".facebook_comment_slider_likebox h2" ).delay(options.icondelay).animate({
				left: (jQuery(".facebook_comment_slider_likebox").width()+bspace)+'px'
				}, parseInt( options.icontime ), "easeInBounce", function() {
				// Animation complete.
					if (parseInt(options.shake2)>0) {setInterval(function(){if (opened==false) {jQuery( ".facebook_comment_slider_likebox h2" ).effect( "shake", {direction: "up"} );}},parseInt(options.shake2));}
					if (options.shake2=='heartbeat') jQuery(".facebook_comment_slider_likebox h2").addClass("heartbeat");
				});
		}
		if (options.direction3=='left') 
		{
			jQuery('.facebook_comment_slider_postbox').css("left",'-'+(parseInt(jQuery(".facebook_comment_slider_postbox").width())+space)+'px');
			 jQuery( ".facebook_comment_slider_postbox h2" ).delay(options.icondelay).animate({
				left: (jQuery(".facebook_comment_slider_postbox").width()+bspace)+'px'
				}, parseInt( options.icontime ), "easeInBounce", function() {
				// Animation complete.
					if (parseInt(options.shake3)>0) {setInterval(function(){if (opened==false) {jQuery( ".facebook_comment_slider_postbox h2" ).effect( "shake", {direction: "up"} );}},parseInt(options.shake3));}
					if (options.shake3=='heartbeat') jQuery(".facebook_comment_slider_postbox h2").addClass("heartbeat");
				});
		}
		if (options.direction1=='right') 
		{
			jQuery('.facebook_comment_slider_commentbox').css("right",'-'+(jQuery(".facebook_comment_slider_commentbox").width())+'px');
			 jQuery( ".facebook_comment_slider_commentbox h2" ).delay(options.icondelay).animate({
				right: (jQuery(".facebook_comment_slider_commentbox").width())+'px'
				}, parseInt( options.icontime ), "easeInBounce", function() {
				// Animation complete.
					if (parseInt(options.shake1)>0) {setInterval(function(){if (opened==false) {jQuery( ".facebook_comment_slider_commentbox h2" ).effect( "shake", {direction: "up"} );}},parseInt(options.shake1));}
					if (options.shake1=='heartbeat') jQuery(".facebook_comment_slider_commentbox h2").addClass("heartbeat");
				});
		}
		if (options.direction2=='right') 
		{
			jQuery('.facebook_comment_slider_likebox').css("right",'-'+(jQuery(".facebook_comment_slider_likebox").width())+'px');
			 jQuery( ".facebook_comment_slider_likebox h2" ).delay(options.icondelay).animate({
				right: (jQuery(".facebook_comment_slider_likebox").width())+'px'
				}, parseInt( options.icontime ), "easeInBounce", function() {
				// Animation complete.
					if (parseInt(options.shake2)>0) {setInterval(function(){if (opened==false) {jQuery( ".facebook_comment_slider_likebox h2" ).effect( "shake", {direction: "up"} );}},parseInt(options.shake2));}
					if (options.shake2=='heartbeat') jQuery(".facebook_comment_slider_likebox h2").addClass("heartbeat");
				});
		}
		if (options.direction3=='right') 
		{
			jQuery('.facebook_comment_slider_postbox').css("right",'-'+(jQuery(".facebook_comment_slider_postbox").width())+'px');
			 jQuery( ".facebook_comment_slider_postbox h2" ).delay(options.icondelay).animate({
				right: (jQuery(".facebook_comment_slider_postbox").width())+'px'
				}, parseInt( options.icontime ), "easeInBounce", function() {
				// Animation complete.
					if (parseInt(options.shake3)>0) {setInterval(function(){if (opened==false) {jQuery( ".facebook_comment_slider_postbox h2" ).effect( "shake", {direction: "up"} );}},parseInt(options.shake3));}
					if (options.shake3=='heartbeat') jQuery(".facebook_comment_slider_postbox h2").addClass("heartbeat");
				});
		}
		if ( jQuery( ".facebook-comment-slider-likebox-embed" ).length >= 0 ) {
			jQuery( ".facebook-comment-slider-likebox-embed" ).append( facebook_comment_slider_likebox );
			jQuery( ".facebook-comment-slider-likebox-embed h2, .facebook-comment-slider-likebox-embed .close_facebook_comment_slider" ).remove();
		}
		if ( jQuery( ".facebook-comment-slider-postbox-embed" ).length >= 0 ) {
			jQuery( ".facebook-comment-slider-postbox-embed" ).append( facebook_comment_slider_postbox );
			jQuery( ".facebook-comment-slider-postbox-embed h2, .facebook-comment-slider-postbox-embed .close_facebook_comment_slider" ).remove();
		}
		if ( jQuery( ".facebook-comment-slider-embed" ).length >= 0 ) {
			jQuery( ".facebook-comment-slider-embed" ).append( facebook_comment_slider_autocommenter );
			jQuery( ".facebook-comment-slider-embed h2, .facebook-comment-slider-embed .close_facebook_comment_slider" ).remove();
		}
		jQuery(".close_facebook_comment_slider").click(function() {
			jQuery('body').fbcslider('remove',opened_slider);
		});
		jQuery(".fcs_open_likebox").click(function() {
			jQuery('body').fbcslider('openlikebox');
		})
		jQuery(".fcs_open_commentbox").click(function() {
			jQuery('body').fbcslider('opencommentbox');
		})
		jQuery(".fcs_open_postbox").click(function() {
			jQuery('body').fbcslider('openpostbox');
		})
		jQuery(".fcs_close_likebox").click(function() {
			jQuery('body').fbcslider('closelikebox');
		})
		jQuery(".fcs_close_commentbox").click(function() {
			jQuery('body').fbcslider('closecommentbox');
		})
		jQuery(".fcs_close_postbox").click(function() {
			jQuery('body').fbcslider('closepostbox');
		})
		jQuery(".fcs_close").click(function() {
			jQuery('body').fbcslider('close');
		})
		jQuery(".fcs_hide").click(function() {
			jQuery('body').fbcslider('hide');
		})
		jQuery(".fcs_show").click(function() {
			jQuery('body').fbcslider('show');
		})
		jQuery(".facebook_comment_slider_likebox h2,.facebook_comment_slider_commentbox h2,.facebook_comment_slider_postbox h2").click(function() {
		if (parentbox==""||parentbox==undefined) {var parent_div = jQuery(this).parent();}
		else {var parent_div = jQuery(parentbox);}
		//if (parentbox!='') {jQuery(this).off('trigger');jQuery(this).on('click');}
		parentbox = '';
		if (jQuery(parent_div).find("h2").attr("class").indexOf("left")!=-1) var thisdirection = "left";
		else var thisdirection = "right";
			if (thisdirection=='left') 
			{
				block_autoopen = true;
				if (parseInt(jQuery(parent_div).css("left").replace("px",""))<-5) {divscroller(false,parent_div);return true;}
				if (parseInt(jQuery(parent_div).css("left").replace("px",""))>=-5&&options.closeable=='true') {jQuery('body').fbcslider('remove',parent_div);return true;}
			}
			if (thisdirection=='right')
			{
				block_autoopen = true;
				if (parseInt(jQuery(parent_div).css("right").replace("px",""))<-5) {divscroller(false,parent_div);return true;}
				if (parseInt(jQuery(parent_div).css("right").replace("px",""))>=-5&&options.closeable=='true') {jQuery('body').fbcslider('remove',parent_div);return true;}
			}
		});
	}
	}

	jQuery('.fbcommentbox').jScrollPane({
			showArrows: true,
			autoReinitialise:true,
			autoReinitialiseDelay:10,
			verticalGutter:-15
		});

	jQuery(window).resize(function() {
	fbforce = true;
	jQuery('body').fbcslider('resize');
	});

	jQuery(window).scroll(function() 
	{
		var st = jQuery(this).scrollTop();
		if(jQuery(window).scrollTop() + jQuery(window).height() > jQuery(document).height() - ((jQuery(document).height()/100)*10)&&st > lastScrollTop&&opened==false)
		{
		if (jQuery(".facebook_comment_slider_commentbox").length==1)
		{
			if ((parseInt(jQuery(".facebook_comment_slider_commentbox").css("left").replace("px",""))<-5&&options.direction1=='left')||(parseInt(jQuery(".facebook_comment_slider_commentbox").css("right").replace("px",""))<-5&&options.direction1=='right'))
			{
				if (options.auto_open1=='true'&&(jQuery('body').fbcslider('getCookie','autocommenter')!='1'||options.dofsu=='false')&&(jQuery('.facebook_comment_slider_commentbox')!=undefined))
				{
					if (options.dofsu=='true') visitor_rememberer();
					opened = true;
					if (block_autoopen==false) opened_slider = jQuery('.facebook_comment_slider_commentbox');divscroller(true,opened_slider);
				}
			}
		}

		if (jQuery(".facebook_comment_slider_likebox").length==1)
		{
				if ((parseInt(jQuery(".facebook_comment_slider_likebox").css("left").replace("px",""))<-5&&options.direction2=='left')||(parseInt(jQuery(".facebook_comment_slider_likebox").css("right").replace("px",""))<-5&&options.direction2=='right'))
				{
					if (options.auto_open2=='true'&&(jQuery('body').fbcslider('getCookie','autocommenter')!='1'||options.dofsu=='false')&&(jQuery('.facebook_comment_slider_likebox')!=undefined))
					{
						if (options.dofsu=='true') visitor_rememberer();
						opened = true;
						if (block_autoopen==false) opened_slider = jQuery('.facebook_comment_slider_likebox');divscroller(true,opened_slider);
					}
				}
		}

		if (jQuery(".facebook_comment_slider_postbox").length==1)
		{
				if ((parseInt(jQuery(".facebook_comment_slider_postbox").css("left").replace("px",""))<-5&&options.direction3=='left')||(parseInt(jQuery(".facebook_comment_slider_postbox").css("right").replace("px",""))<-5&&options.direction3=='right'))
				{
					if (options.auto_open3=='true'&&(jQuery('body').fbcslider('getCookie','autocommenter')!='1'||options.dofsu=='false')&&(jQuery('.facebook_comment_slider_postbox')!=undefined))
					{
						if (options.dofsu=='true') visitor_rememberer();
						opened = true;
						if (block_autoopen==false) opened_slider = jQuery('.facebook_comment_slider_postbox');divscroller(true,opened_slider);
					}
				}
		}
		}
		lastScrollTop = st;
	});
	
	function visitor_rememberer()
	{
		var fbcscparams = [ 'autocommenter', '1', 999, 'days' ];
		jQuery('body').fbcslider('setCookie',fbcscparams);
	}
	
	function divscroller(timer,boxtype)
	{
	opened_slider = boxtype;
		jQuery(".autocommenter").css("z-index","10");
		jQuery(opened_slider).css("z-index","9999999");
		if ( ( jQuery( ".fbcommentbox iframe" ).length == 0 ) ) {
			FB.XFBML.parse( document, function() {
				jQuery( 'body' ).fbcslider( 'resize' );
				FB.Event.subscribe( 'comment.create', function( response ) {
					jQuery( 'body' ).fbcslider( 'remove' );
					});
					FB.Event.subscribe( 'xfbml.render', function( response ) {
						jQuery( 'body' ).fbcslider( 'resize' );
					});
					FB.Event.subscribe( 'edge.create', function( response ) {
						jQuery( 'body' ).fbcslider( 'remove' );
						if ( options.hide_alreadyliked == true ) {
							var fbcscparams = [ 'fbcsslider_liked', '1', 999, 'days' ];
							jQuery( 'body' ).fbcslider('setCookie', fbcscparams );
						}
					});
					FB.Event.subscribe( 'edge.remove', function( response ){
						var fbcsdparams = [ 'fbcsslider_liked', '0', -999, 'days' ];
						jQuery( 'body' ).fbcslider( 'setCookie', fbcsdparams );
					});
			});
		}
	if (jQuery("#twitter_timeline_autocommenter h2").length==1) jQuery("#twitter_timeline_autocommenter").css("z-index","10999");	
		jQuery('.fb_ltr').css("width",jQuery(".fbcommentbox").width()-20+'px');
		jQuery('.fbcommentbox span:first').css("width",jQuery(".fbcommentbox").width()+10+"px");
		jQuery('.facebook_comment_slider_postbox .fbcommentbox span:first').css("width",jQuery(".fbcommentbox").width()+15+"px");
		jQuery('.facebook_comment_slider_postbox .fbcommentbox span:first').css("padding-left","0px");
		jQuery('.facebook_comment_slider_likebox .fbcommentbox span:first').css("padding-left","0px");
		jQuery("."+jQuery(boxtype).attr("class").replace("autocommenter ","")+" h2").removeClass("heartbeat");
		if (options.lock_screen=='true') 
		{
			jQuery("#bglock").fadeIn(1000);
		}
		var screen_width = jQuery(window).width();
		if ((options.direction1=='left'&&jQuery(boxtype).attr("class").replace("autocommenter ","")=="facebook_comment_slider_commentbox")||(options.direction2=='left'&&jQuery(boxtype).attr("class").replace("autocommenter ","")=="facebook_comment_slider_likebox")||(options.direction3=='left'&&jQuery(boxtype).attr("class").replace("autocommenter ","")=="facebook_comment_slider_postbox")) 
		{
			if (timer==true) jQuery(boxtype).animate({left: "-5px"}, 1000, "easeOutBounce", callback);
			else jQuery(boxtype).animate({left: "-5px"}, 1000, "easeOutBounce", function(){opened = true;});
		}
		if ((options.direction1=='right'&&jQuery(boxtype).attr("class").replace("autocommenter ","")=="facebook_comment_slider_commentbox")||(options.direction2=='right'&&jQuery(boxtype).attr("class").replace("autocommenter ","")=="facebook_comment_slider_likebox")||(options.direction3=='right'&&jQuery(boxtype).attr("class").replace("autocommenter ","")=="facebook_comment_slider_postbox")) 
		{
			if (timer==true) jQuery(boxtype).animate({right: "-5px"}, 1000, "easeOutBounce", callback);
			else jQuery(boxtype).animate({right: "-5px"}, 1000, "easeOutBounce", function(){opened = true;});
		}
		opened = true;
	}

	function callback() {
		if (options.timer>0)
		{
			if (!tid) fbtimer_start = options.timer;
			if ((options.timer>0)&&(!tid)&&(options.closeable=='false')) tid = setInterval(function(){fb_ac_timer()}, 1000);
		}
		opened = true;
	}

	function fb_ac_timer() {
		if (parseInt(fbtimer_start)<1) {clearInterval(tid);jQuery('body').fbcslider('remove',opened_slider);}
		jQuery(".fb_ac_counter").html(" "+fbtimer_start+" sec");
		fbtimer_start--;
	}


}
},
	setCookie : function(params)
	{
	var c_name = params[0];
	var value = params[1];
	var dduntil = params[2];
	var mode = params[3];
		if (mode=='days')
		{
			var exdate=new Date();
			exdate.setDate(exdate.getDate() + parseInt(dduntil));
			var c_value=escape(value) + ((dduntil==null) ? "" : "; expires="+exdate.toUTCString()) + "; path=/";
			document.cookie=c_name + "=" + c_value;		
		}
		if (mode=='minutes')
		{
			var now=new Date();
			var time = now.getTime();
			time += parseInt(dduntil);
			now.setTime(time);
			var c_value=escape(value) + ((dduntil==null) ? "" : "; expires="+now.toUTCString()) + "; path=/";
			document.cookie=c_name + "=" + c_value;
		}
	},
	getCookie : function(c_name) 
	{
		var c_value = document.cookie;
		var c_start = c_value.indexOf(" " + c_name + "=");
		if (c_start == -1)
		  {
		  c_start = c_value.indexOf(c_name + "=");
		  }
		if (c_start == -1)
		  {
		  c_value = null;
		  }
		else
		  {
		  c_start = c_value.indexOf("=", c_start) + 1;
		  var c_end = c_value.indexOf(";", c_start);
		  if (c_end == -1)
		  {
		c_end = c_value.length;
		}
		c_value = unescape(c_value.substring(c_start,c_end));
		}
		return c_value;
	},
    destroy : function() {
		jQuery(".autocommenter").remove();
		jQuery("#fb-root").remove();
		jQuery("#bglock").remove();		
		return 1;
	},
	openlikebox : function()
	{
	   if (parentbox=='') 
		{
			parentbox = '.facebook_comment_slider_likebox';
			jQuery( ".facebook_comment_slider_likebox h2" ).trigger( "click" );
		}
	},
	opencommentbox : function()
	{
	   if (parentbox=='') 
		{
			parentbox = '.facebook_comment_slider_commentbox';
			jQuery( ".facebook_comment_slider_commentbox h2" ).trigger( "click" );
		}
	},
	openpostbox : function()
	{
	   if (parentbox=='') 
		{
			parentbox = '.facebook_comment_slider_postbox';
			jQuery( ".facebook_comment_slider_postbox h2" ).trigger( "click" );
		}
	},
	closelikebox : function()
	{
		jQuery('body').fbcslider('remove','.facebook_comment_slider_likebox');
	},
	closecommentbox : function()
	{
		jQuery('body').fbcslider('remove','.facebook_comment_slider_commentbox');
	},
	closepostbox : function()
	{
		jQuery('body').fbcslider('remove','.facebook_comment_slider_postbox');
	},
	close : function()
	{
		jQuery('body').fbcslider('remove');
	},
	hide : function()
	{
		jQuery('.autocommenter').css("display","none");
	},
	show : function()
	{
		jQuery('.autocommenter').css("display","block");
	},
	detectmob : function()
	{
		var Uagent = navigator.userAgent||navigator.vendor||window.opera;
        return(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(Uagent)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(Uagent.substr(0,4)));
	},
	comment : function(response)
	{
			var data = {
			action: 'ajax_fbcs',
			message: JSON.stringify(response),
			fbcscmd: 'sendmail'
		};
		jQuery.post(fcs_params.path, data, function(response) 
		{
		});
	},
	remove : function(boxtype)
	{
	if ( typeof fcs_params !== 'undefined') {
		options = fcs_params;
	}
	var options = jQuery.extend( {}, defaults, options );
	if ( boxtype == undefined || boxtype == '' ) {
		boxtype = opened_slider;
	}
	if ( jQuery( "#twitter_timeline_autocommenter h2" ).length == 1 ) {
		jQuery( "#twitter_timeline_autocommenter h2" ).fadeIn( 250 );
	}
		if ( jQuery( '#bglock' ).length ) {
			jQuery( "#bglock" ).fadeOut( 1000 );
		}
		if ( jQuery( boxtype ).attr( "class" ) != undefined ) {
			if ( ( options.direction1 == 'left' && jQuery( boxtype ).attr( "class" ).replace( "autocommenter ", "" ) == "facebook_comment_slider_commentbox" ) || ( options.direction2 == 'left' && jQuery( boxtype ).attr( "class" ).replace( "autocommenter ", "" ) == "facebook_comment_slider_likebox" ) || ( options.direction3 == 'left' && jQuery( boxtype ).attr( "class" ).replace( "autocommenter ", "" ) == "facebook_comment_slider_postbox" ) ) {
				jQuery( boxtype ).animate({ left: "-" + ( parseInt( jQuery( boxtype ).width() ) + space ) + "px" }, 1000, "easeOutBounce", function() {
					if ( jQuery( "#twitter_timeline_autocommenter h2" ).length == 1 ) {
						jQuery( "#twitter_timeline_autocommenter" ).css( "z-index", "11000" );
					}
				});
			}
			if ( ( options.direction1 == 'right' && jQuery( boxtype ).attr( "class" ).replace( "autocommenter ", "" ) == "facebook_comment_slider_commentbox" ) || ( options.direction2 == 'right' && jQuery( boxtype ).attr( "class" ).replace( "autocommenter ", "" ) == "facebook_comment_slider_likebox" ) || ( options.direction3 == 'right' && jQuery( boxtype ).attr( "class" ).replace( "autocommenter ", "" ) == "facebook_comment_slider_postbox" ) ) {
				jQuery( boxtype ).animate({ right: "-" + ( jQuery( boxtype ).width() ) + "px" }, 1000, "easeOutBounce", function() {
					if ( jQuery( "#twitter_timeline_autocommenter h2" ).length == 1 ) {
						jQuery( "#twitter_timeline_autocommenter" ).css( "z-index", "11000" );
					}
				});
			}
		}
	},
	resize : function()
	{
	if ( typeof fcs_params !== 'undefined') options = fcs_params;
	var options = jQuery.extend({}, defaults, options);
	if ( jQuery(".facebook_comment_slider_commentbox").length==1 && ( jQuery( 'body' ).fbcslider( 'detectmob' ) != true ) )
	{
			if (jQuery('body').fbcslider('detectmob')==true) {jQuery(".facebook_comment_slider_commentbox").css("width","85%");}
			else jQuery('.facebook_comment_slider_commentbox').css("width",'35%');
			jQuery('.facebook_comment_slider_commentbox').css("height",'80%');
			jQuery('.facebook_comment_slider_commentbox .fbcommentbox').css("width",(jQuery(".facebook_comment_slider_commentbox .autocommenter_inside").width())+'px');
			jQuery('.facebook_comment_slider_commentbox .fbcommentbox').css("height",(jQuery(".facebook_comment_slider_commentbox .autocommenter_inside").height()-75)+'px');
			jQuery('.facebook_comment_slider_commentbox .fb_ltr').css("height",(jQuery(".facebook_comment_slider_commentbox .fbcommentbox").height()/100*90)+'px');
			jQuery('.facebook_comment_slider_commentbox .fb_ltr').css("width",jQuery(".facebook_comment_slider_commentbox .fbcommentbox").width()-20+'px');
			jQuery('.facebook_comment_slider_commentbox .fbcommentbox span:first').css("width",jQuery(".facebook_comment_slider_commentbox .fbcommentbox").width()+10+"px");
			if (parseInt(jQuery(".facebook_comment_slider_commentbox").css("left").replace("px",""))<-5) jQuery('.facebook_comment_slider_commentbox').css("left",'-'+(jQuery(".facebook_comment_slider_commentbox").width()+space)+'px');
			if (parseInt(jQuery(".facebook_comment_slider_commentbox").css("right").replace("px",""))<-5) jQuery('.facebook_comment_slider_commentbox').css("right",'-'+(jQuery(".facebook_comment_slider_commentbox").width())+'px');
		if (options.direction1=='left') jQuery('.facebook_comment_slider_commentbox h2').css("left",(parseInt(jQuery(".facebook_comment_slider_commentbox").width())+bspace)+'px');
		if (options.direction1=='right') jQuery('.facebook_comment_slider_commentbox h2').css("left",'-'+jQuery(".facebook_comment_slider_commentbox h2").width()+'px');
		jQuery(".facebook_comment_slider_commentbox .fb-comments").attr("data-width",(jQuery(".facebook_comment_slider_commentbox").width()-30)+'px');
	}
		if (jQuery(".facebook_comment_slider_likebox").length==1)
	{
			if (jQuery('body').fbcslider('detectmob')==true) {jQuery(".facebook_comment_slider_likebox").css("width","85%");}
			else jQuery('.facebook_comment_slider_likebox').css("width",'35%');
			jQuery('.facebook_comment_slider_likebox').css("height",'50%');
			jQuery('.facebook_comment_slider_likebox .fbcommentbox').css("width",(jQuery(".facebook_comment_slider_likebox .autocommenter_inside").width())+'px');
			jQuery('.facebook_comment_slider_likebox .fbcommentbox').css("height",(jQuery(".facebook_comment_slider_likebox .autocommenter_inside").height()-55)+'px');
			jQuery('.facebook_comment_slider_likebox .fb_ltr').css("height",(jQuery(".facebook_comment_slider_likebox .fbcommentbox").height()/100*90)+'px');
			jQuery('.facebook_comment_slider_likebox .fb_ltr').css("width",jQuery(".facebook_comment_slider_likebox .fbcommentbox").width()-20+'px');
			jQuery('.facebook_comment_slider_likebox .fbcommentbox span:first').css("width",jQuery(".facebook_comment_slider_likebox .fbcommentbox").width()+10+"px");
			if (parseInt(jQuery(".facebook_comment_slider_likebox").css("left").replace("px",""))<-5) jQuery('.facebook_comment_slider_likebox').css("left",'-'+(jQuery(".facebook_comment_slider_likebox").width()+space)+'px');
			if (parseInt(jQuery(".facebook_comment_slider_likebox").css("right").replace("px",""))<-5) jQuery('.facebook_comment_slider_likebox').css("right",'-'+(jQuery(".facebook_comment_slider_likebox").width())+'px');
		if (options.direction2=='left') jQuery('.facebook_comment_slider_likebox h2').css("left",(parseInt(jQuery(".facebook_comment_slider_likebox").width())+bspace)+'px');
		if (options.direction2=='right') jQuery('.facebook_comment_slider_likebox h2').css("left",'-'+jQuery(".facebook_comment_slider_likebox h2").width()+'px');
			jQuery('.facebook_comment_slider_likebox .fbcommentbox span:first').css("padding-left","0px");
			jQuery(".facebook_comment_slider_likebox .fb-like-box").attr("data-width",(jQuery(".facebook_comment_slider_likebox").width()-30)+'px');
	}

		if (jQuery(".facebook_comment_slider_postbox").length==1)
	{
			if (jQuery('body').fbcslider('detectmob')==true) {jQuery(".facebook_comment_slider_postbox").css("width","85%");}
			else jQuery('.facebook_comment_slider_postbox').css("width",'35%');
			jQuery('.facebook_comment_slider_postbox').css("height",'80%');
			jQuery('.facebook_comment_slider_postbox .fbcommentbox').css("width",(jQuery(".facebook_comment_slider_postbox .autocommenter_inside").width())+'px');
			jQuery('.facebook_comment_slider_postbox .fbcommentbox').css("height",(jQuery(".facebook_comment_slider_postbox .autocommenter_inside").height()-55)+'px');
			jQuery('.facebook_comment_slider_postbox .fb_ltr').css("height",(jQuery(".facebook_comment_slider_postbox .fbcommentbox").height()/100*90)+'px');
			jQuery('.facebook_comment_slider_postbox .fb_ltr').css("width",jQuery(".facebook_comment_slider_postbox .fbcommentbox").width()-20+'px');
			jQuery('.facebook_comment_slider_postbox .fbcommentbox span:first').css("width",jQuery(".facebook_comment_slider_postbox .fbcommentbox").width()+10+"px");
			if (parseInt(jQuery(".facebook_comment_slider_postbox").css("left").replace("px",""))<-5) jQuery('.facebook_comment_slider_postbox').css("left",'-'+(jQuery(".facebook_comment_slider_postbox").width()+space)+'px');
			if (parseInt(jQuery(".facebook_comment_slider_postbox").css("right").replace("px",""))<-5) jQuery('.facebook_comment_slider_postbox').css("right",'-'+(jQuery(".facebook_comment_slider_postbox").width())+'px');
		if (options.direction3=='left') jQuery('.facebook_comment_slider_postbox h2').css("left",(parseInt(jQuery(".facebook_comment_slider_postbox").width())+bspace)+'px');
		if (options.direction3=='right') jQuery('.facebook_comment_slider_postbox h2').css("left",'-'+jQuery(".facebook_comment_slider_postbox h2").width()+'px');
			jQuery('.facebook_comment_slider_postbox .fbcommentbox span:first iframe').css("width",jQuery(".fbcommentbox").width()+10+"px");
			jQuery('.facebook_comment_slider_postbox .fbcommentbox span:first').css("padding-left","0px");
			jQuery(".facebook_comment_slider_postbox .fb-like-box").attr("data-width",(jQuery(".facebook_comment_slider_postbox").width()-30)+'px');
	}
		if (fbforce==true && ( jQuery( 'body' ).fbcslider( 'detectmob' ) != true ) ) {
		if (typeof(FB) != 'undefined' && FB != null ) {setTimeout(function(){ FB.XFBML.parse(); }, 1000);}
		fbforce = false;
		}
		else return false;
	}
    };
jQuery.fn.fbcslider = function(methodOrOptions) {
        if ( methods[methodOrOptions] ) {
            return methods[ methodOrOptions ].apply( this, Array.prototype.slice.call( arguments, 1 ));
        } else if ( typeof methodOrOptions === 'object' || ! methodOrOptions ) {
            return methods.init.apply( this, arguments );
        } else {
            jQuery.error( 'Method ' +  methodOrOptions + ' does not exist on jQuery.sspopup' );
        }    
    };
})( jQuery );
