/**
 *  Custom JS Scripts
 *
 * @package On Demand
 */

( function( $ ) {

	/**
	 * Initialize Owl Carousel
	 */
	function initOwlCarousel() {
		var autoPlay = (typeof slideSpeed != 'undefined') ? slideSpeed : false;
		var transitionStyle = (typeof slideTransition != 'undefined') ? slideTransition : "fade";
		console.log(transitionStyle);
		if('fade' === transitionStyle) {
			var transitionIn = 'fadeIn';
			var transitionOut = 'fadeOut';
		} else {
			var transitionIn = 'slideInRight';
			var transitionOut = 'slideOutLeft';
		}
		var owl = $("#owl-slider");
		owl.owlCarousel({
			nav : true,
			slideSpeed : 300,
			pagination: false,
			autoplay:true,
			autoplayTimeout:autoPlay,
			autoplayHoverPause:true,
			items:1,
			loop:true,
			autoHeight: true,
			animateOut: transitionOut,
   			animateIn: transitionIn,
			afterInit: function() {
				var owlSlides = $('.owl-wrapper').children('div');
				if (owlSlides.length < 2) {
					owl.trigger('owl.stop');
					console.log('stop');
				}
			}
		});
	}
	
	/**
	 * Initialize FitVids
	 */
	function initFitVids() {
		$("#page").fitVids();
	}
	
	/**
	 * Toggle Mobile Menu
	 */
	function initMobileMenu() {
		$(".menu-toggle").click( function() {
			$('#navigation .menu').slideToggle();
		});
		
		$('.menu-item-has-children a').click( function(e) {
			if ($(window).width() < 767) {				
				$(this).parent().children('.sub-menu').slideToggle();
			}
		});
	}
	
	/**
	 * Format Videos Placement
	 */
	function reorderVideos() {
		$( '.single .format-video' ).each( function( index, el ) {
			// Find the first oEmbed video
			var formatVideoCache = $( this ).contents().find( '.wp-embed' ).first();
			// Get the videos content
			var formatVideoContent = $( formatVideoCache ).html();
	
			// Place video in the .entry-video container
			if ( '' != formatVideoContent ) {
				$( formatVideoCache ).remove();
				$( '.entry-media' ).append( formatVideoContent );
			}
			
			$( '.post-content', this ).filter( function() {
				return $.trim( $( this ).text() ) === ''
			}).remove();
		});
	}
	
	/**
	 * On ready, run functions
	 */
	$( document ).ready(function(){
		if($('body').hasClass('home') || $('body').hasClass('blog') || $('body').hasClass('page-template-templatestemplate-slideshow-php')) {
			initOwlCarousel();
		}
		initFitVids();
		initMobileMenu();
	});
	
})( jQuery );