<?php  
/**
 * @package On Demand
 */
?>
<!DOCTYPE html>

<html <?php language_attributes(); ?>>
<head>
	<meta name="generator" content="<?php echo esc_attr( sprintf( __( 'On Demand (%s) - Designed and built by Press75', 'ondemand' ), THEME_VERSION ) ); ?>">
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	
	<link href='http://fonts.googleapis.com/css?family=Lora:700,400,400italic|Titillium+Web:600,400' rel='stylesheet' type='text/css'>

	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<?php if(get_ondemand_option('favicon')) : ?>
	<link rel="icon" href="<?php echo get_ondemand_option('favicon'); ?>" type="image/x-icon">
	<?php else: ?>
	<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/assets/images/favicon.png" type="image/x-icon">
	<?php endif; ?>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

	<?php wp_head(); ?>
	
	<?php get_template_part( 'style', 'options' ); ?>
	
	<!--[if lt IE 9]>
		<script src="<?php echo get_template_directory_uri() . '/assets/js/html5shiv.min.js';?>"></script>
		<script src="<?php echo get_template_directory_uri() . '/assets/js/respond.min.js';?>"></script>
	<![endif]-->
</head>

<body <?php body_class(); ?>>

<section id="masthead" class="container">
	
	<header id="header" class="site-header">

		<div class="header-left <?php echo ('false' != get_ondemand_option('header_search') ? 'col-sm-6' : 'col-sm-12'); ?>" role="banner">
		
			<?php
			$blog_info = get_bloginfo( 'name' );
			$logo_url = get_custom_header()->url;
			$site_title_tag = ( is_home() || is_front_page() ) ? 'h1' : 'div'; 
			?>

			<<?php echo $site_title_tag; ?> class="<?php echo ( $logo_url ? 'image-title' : 'site-title'); ?>">
				<a href="<?php echo esc_url( home_url() ); ?>" title="<?php echo esc_attr( $blog_info ); ?>" >
					<?php if ( $logo_url ) : ?>
						<img src="<?php echo esc_url( $logo_url ); ?>" alt="<?php esc_attr_e( 'Logo', 'ondemand') ?>" />
					<?php else : ?>
						<?php echo esc_html( $blog_info ) ?>
					<?php endif; // end text logo check ?>
				</a>
			</<?php echo $site_title_tag; ?>><!-- #site-title -->

			<?php 
			// Site Description
			if( ! $logo_url ) : ?>
				<p class="site-description"><?php bloginfo( 'description' ); ?></p>
			<?php endif; ?>
		
		</div> <!-- .header-left -->
		
		<?php if('false' != get_ondemand_option('header_search')) : ?>
		<div class="header-right col-sm-3 col-sm-offset-3 hidden-xs" role="search">
		
			<?php get_search_form(); ?>
		
		</div> <!-- .header-right -->
		<?php endif; ?>

	</header> <!-- #header -->
	
	
	<nav id="navigation" role="navigation">
		<div class="mobile-menu visible-xs">
			<a class="menu-toggle">
				<div class="dashicons dashicons-menu"></div>
			</a>
			
			<?php get_template_part('parts/socials'); ?>
		</div>
		<ul class="menu">
			<?php
		    wp_nav_menu( array(
		    	'theme_location'  => 'main_menu',
				'container'       => '',
		    	'items_wrap'      => '%3$s'
		    ));
			?>
		</ul>
		<?php get_template_part('parts/socials'); ?>
	</nav>  <!-- navigation -->

</section>

<div id="page" class="container">

	<div class="row">