<?php 
/**
 * The main template file.
 *
 * Template Name: Blog
 *
 * @package On Demand
 */
 
get_header(); ?>

<section id="section-top" class="section-header col-sm-12">
	
	<div class="inner">
		<h1 class="section-title"><?php the_title(); ?></h1>
		<p><?php echo get_post_field('post_content', $post_id); ?></p>
	</div>
	
</section>

<section id="primary" class="col-sm-8">
	<main id="main" class="site-main" role="main">
	
		<?php
		$wp_query = new WP_Query(
			array(
				'post_type'			=> 'post',
				'paged'				=> $paged,
				'posts_per_page' 	=> get_option('posts_per_page'),
			)
		);
		?>
		<?php if( $wp_query->have_posts() ) : ?>
			
			<?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>
			
				<?php get_template_part( 'content', get_post_format() ); ?>
				
			<?php endwhile; ?>
			
		<?php else : ?>
		
			<?php get_template_part( 'content', 'none' ); ?>
			
		<?php endif; ?>
		
		<?php echo ondemand_paginate(true); ?>
		
	</main>
</section>

<?php get_sidebar(); ?>

<?php get_footer(); ?>