<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Youmovie
 */

get_header();

	do_action( 'youmovie-theme/site/site-content-before', '404' ); ?>

	<div <?php youmovie_content_class() ?>>
		<div class="row">

			<?php do_action( 'youmovie-theme/site/primary-before', '404' ); ?>

			<div id="primary" class="col-xs-12">

				<?php do_action( 'youmovie-theme/site/main-before', '404' ); ?>

				<main id="main" class="site-main">

					<section class="error-404 not-found">
						<header class="page-header">
							<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'youmovie' ); ?></h1>
						</header><!-- .page-header -->

						<div class="page-content">
							<p><?php esc_html_e( 'Page 404', 'youmovie' ); ?></p>
							<p class="maybe"><?php esc_html_e( 'It seems we can’t find what you’re looking for. Perhaps searching can help.

', 'youmovie' ); ?></p>
							<?php
								get_search_form();
							?>
						</div><!-- .page-content -->
					</section><!-- .error-404 -->

				</main><!-- #main -->

				<?php do_action( 'youmovie-theme/site/main-after', '404' ); ?>

			</div><!-- #primary -->

			<?php do_action( 'youmovie-theme/site/primary-after', '404' ); ?>

		</div>
	</div>

	<?php do_action( 'youmovie-theme/site/site-content-after', '404' );

get_footer();
