<?php
/**
 * Template part for displaying creative posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Youmovie
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'posts-list__item creative-item' ); ?>>

	<div class="creative-item__content">

		<header class="entry-header">
			<h2 class="entry-title"><?php 
				youmovie_sticky_label();
				the_title( '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a>' );
			?></h2>
		</header><!-- .entry-header -->

		<?php youmovie_post_excerpt(); ?>

	</div>

	<footer class="entry-footer">
		<div class="entry-meta">
			<div>
				<?php
					youmovie_posted_by();
					youmovie_posted_in( array(
						'prefix'    => __( 'In', 'youmovie' ),
					) );
					youmovie_posted_on( array(
						'prefix' => __( 'Posted', 'youmovie' )
					) );
					youmovie_post_tags( array(
						'prefix' => __( 'Tags:', 'youmovie' )
					) );
					youmovie_post_comments( array(
						'postfix' => __( 'Comment(s)', 'youmovie' )
					) );
				?>
			</div>
			<?php
				youmovie_post_link();
			?>
		</div>
		<?php youmovie_edit_link(); ?>
	</footer><!-- .entry-footer -->

</article><!-- #post-<?php the_ID(); ?> -->
