<?php
/**
 * Template part for displaying creative posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Youmovie
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'posts-list__item creative-item' ); ?>>

	<?php
		if ( has_post_thumbnail() ) {
			?><div class="post-thumbnail" <?php youmovie_post_overlay_thumbnail( 'youmovie-thumb-l' ); ?>></div><?php
		}
	?>

	<div class="creative-item__content">

		<header class="entry-header">
			<h4 class="entry-title"><?php 
				youmovie_sticky_label();
				the_title( '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a>' );
			?></h4>
		</header><!-- .entry-header -->

		<?php youmovie_post_excerpt(); ?>

		<footer class="entry-footer">
			<div class="entry-meta"><?php
				youmovie_posted_in();
				youmovie_posted_by();
				youmovie_posted_on( array(
					'prefix' => __( 'Posted', 'youmovie' )
				) );
				youmovie_post_tags( array(
					'prefix' => __( 'Tags:', 'youmovie' )
				) );
				?><div><?php
					youmovie_post_link();
					youmovie_post_comments( array(
						'prefix' => '<i class="fa fa-comment" aria-hidden="true"></i>',
					) );
				?></div>
			</div>
			<?php youmovie_edit_link(); ?>
		</footer><!-- .entry-footer -->

	</div>

</article><!-- #post-<?php the_ID(); ?> -->
