<?php
/**
 * Template part for displaying style-v2 posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package youmovie
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'posts-list__item masonry-item' ); ?>>
	<?php youmovie_post_thumbnail( 'youmovie-thumb-masonry' ); ?>
	<div class="masonry-item-wrap">
		<header class="entry-header">
			<div class="entry-meta">
				<?php
				youmovie_posted_by();
				youmovie_posted_in( array(
					'prefix' => __( 'In', 'youmovie' ),
					'delimiter' => ', '
				) ); 
				youmovie_posted_on( array(
					'prefix' => __( 'Posted', 'youmovie' ),
				) ); 
				?>
			</div><!-- .entry-meta -->
			<h4 class="entry-title"><?php 
				youmovie_sticky_label();
				the_title( '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a>' );
			?></h4>
		</header><!-- .entry-header -->

		<?php youmovie_post_excerpt(); ?>

		<footer class="entry-footer">
			<div class="entry-meta">
				<?php
				youmovie_post_tags();

				$post_more_btn_enabled = strlen( youmovie_theme()->customizer->get_value( 'blog_read_more_text' ) ) > 0 ? true : false;
				$post_comments_enabled = youmovie_theme()->customizer->get_value( 'blog_post_comments' );

				if( $post_more_btn_enabled || $post_comments_enabled ) {
					?><div class="space-between-content"><?php
					youmovie_post_link();
					youmovie_post_comments();
					?></div><?php
				}
				?>
			</div>
			<?php youmovie_edit_link(); ?>
		</footer><!-- .entry-footer -->
	</div><!-- .masonry-item-wrap-->
</article><!-- #post-<?php the_ID(); ?> -->
